Bug 433488 - Review Request: dayplanner - An easy and clean Day Planner
Review Request: dayplanner - An easy and clean Day Planner
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
: 222964 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-19 11:32 EST by Krzysztof Kurzawski
Modified: 2008-03-06 09:46 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-06 09:46:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Current holidays in Japan (1.51 KB, text/plain)
2008-03-02 14:08 EST, Mamoru TASAKA
no flags Details
Current holidays in Japan (spell fixed) (1.51 KB, text/plain)
2008-03-02 14:12 EST, Mamoru TASAKA
no flags Details
holiday_japan again. (1.51 KB, text/plain)
2008-03-04 06:42 EST, Mamoru TASAKA
no flags Details

  None (edit)
Description Krzysztof Kurzawski 2008-02-19 11:32:15 EST
Spec URL: http://kurzawa.nonlogic.org/rpm/dayplanner/dayplanner.spec
SRPM URL: http://kurzawa.nonlogic.org/rpm/dayplanner/dayplanner-0.8.1-1.fc8.src.rpm
Description: Day Planner is a simple time management program.

Day Planner is designed to help you easily manage your time.
It can manage appointments, birthdays and more. It makes sure you
remember your appointments by popping up a dialog box reminding you about it.
Comment 1 Krzysztof Kurzawski 2008-02-26 09:52:00 EST
Could someone review this please?
Comment 2 Mamoru TASAKA 2008-02-27 13:05:01 EST
*** Bug 222964 has been marked as a duplicate of this bug. ***
Comment 3 Mamoru TASAKA 2008-03-02 14:08:16 EST
Created attachment 296520 [details]
Current holidays in Japan

For quick glance:

- Please avoid to use %makeinstall if possible.
- Japanese current holidays are attached.
- The line "chmod a-x ...." must be dealt with more preferable way.
  * One can easy imagine that the installed files list changes in the
    next version.
----------------------------------------------------------------
find $RPM_BUILD_ROOT%{_datadir}/%{name} -name \*.pm -exec chmod 0644 {} \;
----------------------------------------------------------------
    can replace the current line, I guess.
Comment 4 Mamoru TASAKA 2008-03-02 14:12:51 EST
Created attachment 296522 [details]
Current holidays in Japan (spell fixed)

NAOJ = National Astronomy Observatory of Japan...
Comment 5 Krzysztof Kurzawski 2008-03-03 14:47:58 EST
Fixed
Spec URL: http://kurzawa.nonlogic.org/rpm/dayplanner/dayplanner.spec
SRPM URL: http://kurzawa.nonlogic.org/rpm/dayplanner/dayplanner-0.8.1-2.fc8.src.rpm

: Last modified: May 3, 2008
: by Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
Is date correct?

Thanks for review!

P.S If you have time could you also review this:
https://bugzilla.redhat.com/show_bug.cgi?id=434614? Thanks in advance!
Comment 6 Mamoru TASAKA 2008-03-04 06:42:58 EST
Created attachment 296726 [details]
holiday_japan again.

> : Last modified: May 3, 2008
> : by Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
> Is date correct?

Of course not correct...
Well,

* Replace /usr with %{_prefix} (prefix=/usr)
* For perl modules dependency, don't write rpm names directly
  but write the module names the rpms provide, such as
  "BuildRequires: perl(Locale::gettext)"
  ! By the way, devel-tools/GenDesktop needs perl(Locale:gettext),
    but this script doesn't seem to be called and actually
    your srpm builds without BuildRequires: perl-gettext:
    http://koji.fedoraproject.org/koji/taskinfo?taskID=490198

Other things are okay.
----------------------------------------------------------------
   This package (dayplanner) is APPROVED by me
----------------------------------------------------------------

P.S.
> P.S If you have time could you also review this:
> https://bugzilla.redhat.com/show_bug.cgi?id=434614? Thanks in advance!
Well, for the last few days I was checking review requests to which
I had not replied for a few days and actually it seems I have commented
on about 20 review requests within these 5 days...
So if you want me to review the above, would you wait a bit, please?
Comment 7 Krzysztof Kurzawski 2008-03-04 10:12:48 EST
Fixed
Spec URL: http://kurzawa.nonlogic.org/rpm/dayplanner/dayplanner.spec
SRPM URL: http://kurzawa.nonlogic.org/rpm/dayplanner/dayplanner-0.8.1-3.fc8.src.rpm

P.S Ok, I'm waiting for review.
Comment 8 Krzysztof Kurzawski 2008-03-04 10:14:58 EST
New Package CVS Request
=======================
Package Name: dayplanner
Short Description: An easy and clean Day Planner
Owners: kurzawa
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2008-03-04 12:02:53 EST
cvs done.
Comment 10 Krzysztof Kurzawski 2008-03-06 09:46:58 EST
Imported and built. Thanks again for review!

Note You need to log in before you can comment on or make changes to this bug.